Bug 220252 - [LFC][IFC][Quirk] Let's adopt a less quirky behavior for line breaks on non-empty lines
Summary: [LFC][IFC][Quirk] Let's adopt a less quirky behavior for line breaks on non-e...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-01-04 12:46 PST by zalan
Modified: 2021-01-14 06:30 PST (History)
12 users (show)

See Also:


Attachments
Patch (3.74 KB, patch)
2021-01-04 12:52 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (4.23 KB, patch)
2021-01-10 19:59 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (8.77 KB, patch)
2021-01-11 16:45 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (9.38 KB, patch)
2021-01-12 12:57 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (9.39 KB, patch)
2021-01-12 13:02 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (9.54 KB, patch)
2021-01-12 21:20 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (9.17 KB, patch)
2021-01-13 20:41 PST, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2021-01-04 12:46:47 PST
<br> in non-standard mode stretches the line box only when the line is empty.
e.g. <div><span><br></span></div> will stretch but <div>this will not stretch to 200px<span style="font-size: 200px;"><br></span></div>
However it's way too quirky and it does not even match Chrome's behavior.
Comment 1 zalan 2021-01-04 12:52:51 PST
Created attachment 416960 [details]
Patch
Comment 2 zalan 2021-01-10 19:59:26 PST
Created attachment 417359 [details]
Patch
Comment 3 Antti Koivisto 2021-01-10 22:27:08 PST
Comment on attachment 417359 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=417359&action=review

> Source/WebCore/ChangeLog:17
> +        Removing this quirk makes the inlineLevelBoxAffectsLineBox logic simpler since we don't have to check against
> +        whether the line is considered empty and the result is aligned with Chrome's behavior.

Should it be removed from legacy too?
Comment 4 zalan 2021-01-11 10:08:20 PST
(In reply to Antti Koivisto from comment #3)
> Comment on attachment 417359 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=417359&action=review
> 
> > Source/WebCore/ChangeLog:17
> > +        Removing this quirk makes the inlineLevelBoxAffectsLineBox logic simpler since we don't have to check against
> > +        whether the line is considered empty and the result is aligned with Chrome's behavior.
> 
> Should it be removed from legacy too?
Yeah good point.
Comment 5 Radar WebKit Bug Importer 2021-01-11 12:47:12 PST
<rdar://problem/73009786>
Comment 6 zalan 2021-01-11 16:45:09 PST
Created attachment 417421 [details]
Patch
Comment 7 zalan 2021-01-12 12:57:12 PST
Created attachment 417482 [details]
Patch
Comment 8 zalan 2021-01-12 13:02:43 PST
Created attachment 417484 [details]
Patch
Comment 9 zalan 2021-01-12 21:20:12 PST
Created attachment 417506 [details]
Patch
Comment 10 zalan 2021-01-13 20:41:22 PST
Created attachment 417594 [details]
Patch
Comment 11 EWS 2021-01-14 06:30:23 PST
Committed r271481: <https://trac.webkit.org/changeset/271481>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 417594 [details].